import request from "@/utils/request";

// 获取成果审核列表
export const expertAchievementList = (params) =>
    request({
        url: "/business/dataReview/expertAchievementList",
        method: "get",
        params,
    });
// 获取成果详情
export const expertAchievementInfo = (params) =>
    request({
        url: "/business/dataReview/expertAchievementInfo",
        method: "get",
        params,
    });

// 修改成果
export const updateExpertAchievement = (data) =>
    request({
        url: "/business/dataReview/updateExpertAchievement",
        method: "put",
        data,
    });

/**
 * 批量审核成果
 * @param ids
 * @param status 1->通过|2->驳回
 * @returns {*}
 */
export const batchAchievement = (ids, status) =>
    request({
        url: `/business/dataReview/batchAchievement/${status}`,
        method: "put",
        data: {
            ids,
        },
    });

// 批量删除成果
export const deleteAchievementByIds = (ids) =>
    request({
        url: `/business/dataReview/deleteAchievementByIds`,
        method: "DELETE",
        data: {
            ids,
        },
    });
